GOLF(2gg)

NAME
unused-var - (language)

PURPOSE
Prevent compiler error if variable is not used.

SYNTAX

        unused-var <variable name> [ , ... ]

DESCRIPTION
unused-var prevents erroring out if <variable name> is unused; a list of variable names can be specified separated by a comma. Generally, you don't want to have unused variables - they typically indicate bugs or clutter. However, in some cases you might need such variables as a reminder for a future enhancement, or for some other reason it is unavoidable. In any case, you can use unused-var to shield such instances from causing errors.

EXAMPLES
In the following, variable "hw" is created and initialized. Such variable is not used at the moment, however if you would do so in the future and want to keep it, use unused-var to prevent compiler errors:

        set-string hw = "Hello world"
        unused-var hw

SEE ALSO
 Language

inline-code statements syntax-highlighting unused-var variable-scope See all documentation